Package Details: home-assistant 0.94.2-1

Git Clone URL: https://aur.archlinux.org/home-assistant.git (read-only)
Package Base: home-assistant
Description: Open-source home automation platform running on Python 3
Upstream URL: https://home-assistant.io/
Keywords: automation home python
Licenses: Apache
Replaces: python-home-assistant
Submitter: kamaradclimber
Maintainer: etskinner
Last Packager: etskinner
Votes: 37
Popularity: 0.981746
First Submitted: 2016-10-09 12:17
Last Updated: 2019-06-13 17:39

Pinned Comments

etskinner commented on 2019-06-10 23:33

Thanks @shardik. I can't find a simple way of fixing this until hass updates to a new python-yaml, so if anyone has some ideas, let me know. Maybe disable this check that it does for pyyaml<4 and hope for the best? Not sure what issues that could cause. I'll keep thinking.

shardik commented on 2019-06-10 10:11

Heads up: don't update python-yaml, it is to new now.

Jun 10 11:30:10 amarok hass[1305]: Traceback (most recent call last):
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
Jun 10 11:30:10 amarok hass[1305]:     ws.require(__requires__)
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
Jun 10 11:30:10 amarok hass[1305]:     needed = self.resolve(parse_requirements(requirements))
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
Jun 10 11:30:10 amarok hass[1305]:     raise VersionConflict(dist, req).with_context(dependent_req)
Jun 10 11:30:10 amarok hass[1305]: pkg_resources.ContextualVersionConflict: (PyYAML 5.1 (/usr/lib/python3.7/site-packages), Requirement.parse('pyyaml<4,>=3.13'), {'homeassistant'})
Jun 10 11:30:10 amarok hass[1305]: During handling of the above exception, another exception occurred:
Jun 10 11:30:10 amarok hass[1305]: Traceback (most recent call last):
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/bin/hass", line 6, in <module>
Jun 10 11:30:10 amarok hass[1305]:     from pkg_resources import load_entry_point
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
Jun 10 11:30:10 amarok hass[1305]:     @_call_aside
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
Jun 10 11:30:10 amarok hass[1305]:     f(*args, **kwargs)
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
Jun 10 11:30:10 amarok hass[1305]:     working_set = WorkingSet._build_master()
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
Jun 10 11:30:10 amarok hass[1305]:     return cls._build_from_requirements(__requires__)
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
Jun 10 11:30:10 amarok hass[1305]:     dists = ws.resolve(reqs, Environment())
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
Jun 10 11:30:10 amarok hass[1305]:     raise DistributionNotFound(req, requirers)
Jun 10 11:30:10 amarok hass[1305]: pkg_resources.DistributionNotFound: The 'pyyaml<4,>=3.13' distribution was not found and is required by homeassistant

Synthead commented on 2019-01-04 08:08

Heads up: the Discord component doesn't work with Python 3.7: https://github.com/home-assistant/home-assistant/issues/19757

The workaround is to patch /var/lib/hass/deps/lib/python3.7/site-packages/websockets/compatibility.py like so:

https://github.com/aaugustin/websockets/commit/9f566c5d12eae1258aa6f1991fe8cf0a7d390f97.patch

Latest Comments

1 2 3 4 5 6 ... Next › Last »

ImNtReal commented on 2019-06-18 23:29

Removing the <4 on the pyyaml lines of /usr/lib/python3.7/site-packages/homeassistant-0.94.2-py3.7.egg-info/requires.txt and /usr/lib/python3.7/site-packages/homeassistant/package_constraints.txt got it started for me. Who knows what I may have broken doing it, though. :)

slaveriq commented on 2019-06-15 21:35

For anyone who can't wait for the the fix to be merged into master (and new version):

diff --git a/PKGBUILD b/PKGBUILD
index 1465dd4..557c93b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@

 pkgname=home-assistant
 pkgdesc='Open-source home automation platform running on Python 3'
-pkgver=0.94.2
+pkgver=0.94.3
 pkgrel=1
 url="https://home-assistant.io/"
 license=('APACHE')
@@ -49,7 +49,7 @@ source=("${pkgname}-${pkgver}.tar.gz::https://github.com/${pkgname}/${pkgname}/a
         "home-assistant.sysusers"
         "home-assistant-tmpfile.conf"
         "hass.install")
-sha512sums=('acc239c1f60cfa625e8e7941def150c244d8ff4452008a72d758ba7cdc2f206809cd97986c0409d636ea7b4a838bc122efaaf18f9b2cd07373f29d5de08e0421'
+sha512sums=('b69334533c1945363f620d0d6eece6c5e5fec90c893c543cd662e7b13fd84376c7f6e881643c3d6fc48243871ba028ff0d99403eaf41ae093e7e44d67ef2dddb'
             'fe96bd3df3ba666fd9f127c466d1dd1dd7314db2e57826a2b319c8a0bfad7aedeac398e748f93c6ecd9c2247ebbae196b8b0e7263b8681e2b7aeab6a8bfeab80'
             '100665ac35370c3ccec65d73521568de21cebf9e46af364124778861c94e338e32ad9abb675d3917f97d351dd7867e3ab2e80c26616330ae7cf0d9dc3f13369b'
             '3e93118c84954f829767dc71ce534c5d02c1c95fc8748714c7a2df28a3a297f59962f8fb7cddf721987eb97d62feabb25acda5d38209e365646ca4a4ef4356e3'
@@ -65,6 +65,12 @@ prepare() {
   # Patches for https://github.com/home-assistant/home-assistant/issues/11906
   sed -i 's/from yarl import unquote/from yarl import URL/' homeassistant/components/http/static.py
   sed -i "s/unquote(request.match_info\['filename'\])/URL(request.match_info['filename'], encoded=True).path/" homeassistant/components/http/static.py
+
+  #https://github.com/home-assistant/home-assistant/pull/24529
+  sed -i 's/yaml.load/yaml.safe_load/' homeassistant/components/kira/__init__.py
+  sed -i "s/pyyaml>=3.13,<4/pyyaml==5.1/" homeassistant/package_constraints.txt
+  sed -i "s/pyyaml>=3.13,<4/pyyaml==5.1/" requirements_all.txt
+  sed -i "s/pyyaml>=3.13,<4/pyyaml==5.1/" setup.py
 }

 replace() {

Backslasher commented on 2019-06-15 07:53

dev branch should rely on 5.1 now: https://github.com/home-assistant/home-assistant/pull/24529 We should wait until it reaches master and then check again

Backslasher commented on 2019-06-12 18:40

In order to fix the PyYaml dependency we need to revive this PR to home-assistant: https://github.com/home-assistant/home-assistant/pull/23761

etskinner commented on 2019-06-10 23:33

Thanks @shardik. I can't find a simple way of fixing this until hass updates to a new python-yaml, so if anyone has some ideas, let me know. Maybe disable this check that it does for pyyaml<4 and hope for the best? Not sure what issues that could cause. I'll keep thinking.

shardik commented on 2019-06-10 10:11

Heads up: don't update python-yaml, it is to new now.

Jun 10 11:30:10 amarok hass[1305]: Traceback (most recent call last):
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
Jun 10 11:30:10 amarok hass[1305]:     ws.require(__requires__)
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
Jun 10 11:30:10 amarok hass[1305]:     needed = self.resolve(parse_requirements(requirements))
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
Jun 10 11:30:10 amarok hass[1305]:     raise VersionConflict(dist, req).with_context(dependent_req)
Jun 10 11:30:10 amarok hass[1305]: pkg_resources.ContextualVersionConflict: (PyYAML 5.1 (/usr/lib/python3.7/site-packages), Requirement.parse('pyyaml<4,>=3.13'), {'homeassistant'})
Jun 10 11:30:10 amarok hass[1305]: During handling of the above exception, another exception occurred:
Jun 10 11:30:10 amarok hass[1305]: Traceback (most recent call last):
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/bin/hass", line 6, in <module>
Jun 10 11:30:10 amarok hass[1305]:     from pkg_resources import load_entry_point
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
Jun 10 11:30:10 amarok hass[1305]:     @_call_aside
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
Jun 10 11:30:10 amarok hass[1305]:     f(*args, **kwargs)
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
Jun 10 11:30:10 amarok hass[1305]:     working_set = WorkingSet._build_master()
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
Jun 10 11:30:10 amarok hass[1305]:     return cls._build_from_requirements(__requires__)
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
Jun 10 11:30:10 amarok hass[1305]:     dists = ws.resolve(reqs, Environment())
Jun 10 11:30:10 amarok hass[1305]:   File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
Jun 10 11:30:10 amarok hass[1305]:     raise DistributionNotFound(req, requirers)
Jun 10 11:30:10 amarok hass[1305]: pkg_resources.DistributionNotFound: The 'pyyaml<4,>=3.13' distribution was not found and is required by homeassistant

zombielinux commented on 2019-05-23 13:55

@etskinner

-- Logs begin at Sun 2017-03-19 07:27:53 EDT, end at Thu 2019-05-23 09:44:06 EDT. --
May 11 12:56:52 homeassistant sudo[409]:     will : TTY=tty1 ; PWD=/home/will ; USER=root ; COMMAND=/usr/bin/systemctl start home-assistant
May 11 12:56:52 homeassistant sudo[409]: pam_unix(sudo:session): session opened for user root by will(uid=0)
May 11 12:56:52 homeassistant systemd[1]: Started Home assistant.
May 11 12:56:52 homeassistant audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=home-assistant comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 11 12:56:52 homeassistant kernel: audit: type=1130 audit(1557593812.063:22): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=home-assistant comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 11 12:56:52 homeassistant sudo[409]: pam_unix(sudo:session): session closed for user root
May 11 12:57:04 homeassistant hass[412]: /usr/lib/python3.7/site-packages/requests/__init__.py:91: RequestsDependencyWarning: urllib3 (1.25.2) or chardet (3.0.4) doesn't match a supported version!
May 11 12:57:04 homeassistant hass[412]:   RequestsDependencyWarning)
May 11 12:57:04 homeassistant hass[412]: 2019-05-11 12:57:04 INFO (SyncWorker_2) [homeassistant.util.package] Attempting install of pyotp==2.2.6
May 11 12:57:06 homeassistant hass[412]: 2019-05-11 12:57:06 INFO (SyncWorker_2) [homeassistant.util.package] Attempting install of PyQRCode==1.2.1
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded sensor from homeassistant.components.sensor
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded discovery from homeassistant.components.discovery
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_1) [homeassistant.loader] Loaded default_config from homeassistant.components.default_config
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_4) [homeassistant.loader] Loaded automation from homeassistant.components.automation
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded group from homeassistant.components.group
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_1) [homeassistant.loader] Loaded script from homeassistant.components.script
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded tts from homeassistant.components.tts
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_4) [homeassistant.loader] Loaded homeassistant from homeassistant.components.homeassistant
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_1) [homeassistant.loader] Loaded persistent_notification from homeassistant.components.persistent_notification
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setting up homeassistant
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_4) [homeassistant.loader] Loaded http from homeassistant.components.http
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded webhook from homeassistant.components.webhook
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setup of domain homeassistant took 0.0 seconds.
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setting up persistent_notification
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setup of domain persistent_notification took 0.0 seconds.
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded cloud from homeassistant.components.cloud
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_3) [homeassistant.loader] Loaded config from homeassistant.components.config
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded conversation from homeassistant.components.conversation
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded frontend from homeassistant.components.frontend
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_3) [homeassistant.loader] Loaded api from homeassistant.components.api
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded auth from homeassistant.components.auth
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded lovelace from homeassistant.components.lovelace
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_3) [homeassistant.loader] Loaded onboarding from homeassistant.components.onboarding
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded system_log from homeassistant.components.system_log
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded websocket_api from homeassistant.components.websocket_api
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_3) [homeassistant.loader] Loaded history from homeassistant.components.history
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded recorder from homeassistant.components.recorder
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded logbook from homeassistant.components.logbook
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_3) [homeassistant.loader] Loaded map from homeassistant.components.map
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded mobile_app from homeassistant.components.mobile_app
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded device_tracker from homeassistant.components.device_tracker
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_3) [homeassistant.loader] Loaded zone from homeassistant.components.zone
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded person from homeassistant.components.person
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded sun from homeassistant.components.sun
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_3) [homeassistant.loader] Loaded system_health from homeassistant.components.system_health
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.loader] Loaded updater from homeassistant.components.updater
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_2) [homeassistant.loader] Loaded zeroconf from homeassistant.components.zeroconf
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setting up http
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setup of domain http took 0.0 seconds.
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setting up system_log
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (MainThread) [homeassistant.setup] Setup of domain system_log took 0.0 seconds.
May 11 12:57:08 homeassistant hass[412]: 2019-05-11 12:57:08 INFO (SyncWorker_0) [homeassistant.util.package] Attempting install of sqlalchemy==1.3.0
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up recorder
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain recorder took 0.7 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (SyncWorker_1) [homeassistant.loader] Loaded yr from homeassistant.components.yr
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up lovelace
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain lovelace took 0.0 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up group
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain group took 0.0 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up sun
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain sun took 0.0 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up zone
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain zone took 0.0 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up person
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up sensor
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up device_tracker
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up conversation
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain conversation took 0.0 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up auth
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain auth took 0.0 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up config
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up history
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain history took 0.0 seconds.
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setting up script
May 11 12:57:15 homeassistant hass[412]: 2019-05-11 12:57:15 INFO (MainThread) [homeassistant.setup] Setup of domain script took 0.0 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setting up api
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setting up system_health
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain system_health took 0.0 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setting up webhook
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain webhook took 0.0 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setting up websocket_api
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain websocket_api took 0.0 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain person took 0.2 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 ERROR (MainThread) [homeassistant.components.device_tracker] Unable to load /var/lib/hass/known_devices.yaml: Config file not found: /var/lib/hass/known_devices.yaml
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain device_tracker took 0.2 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain api took 0.1 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setting up onboarding
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain config took 0.2 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setting up automation
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain automation took 0.0 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (MainThread) [homeassistant.setup] Setup of domain onboarding took 0.0 seconds.
May 11 12:57:16 homeassistant hass[412]: 2019-05-11 12:57:16 INFO (SyncWorker_0) [homeassistant.util.package] Attempting install of netdisco==2.6.0
May 11 12:57:18 homeassistant hass[412]: 2019-05-11 12:57:18 INFO (MainThread) [homeassistant.setup] Setting up discovery
May 11 12:57:18 homeassistant hass[412]: 2019-05-11 12:57:18 ERROR (MainThread) [homeassistant.setup] Error during setup of component discovery
May 11 12:57:18 homeassistant hass[412]: Traceback (most recent call last):
May 11 12:57:18 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/setup.py", line 153, in _async_setup_component
May 11 12:57:18 homeassistant hass[412]:     hass, processed_config)
May 11 12:57:18 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/components/discovery/__init__.py", line 124, in async_setup
May 11 12:57:18 homeassistant hass[412]:     from netdisco.discovery import NetworkDiscovery
May 11 12:57:18 homeassistant hass[412]: ModuleNotFoundError: No module named 'netdisco'
May 11 12:57:18 homeassistant hass[412]: 2019-05-11 12:57:18 INFO (MainThread) [homeassistant.setup] Setting up updater
May 11 12:57:18 homeassistant hass[412]: 2019-05-11 12:57:18 INFO (MainThread) [homeassistant.setup] Setup of domain updater took 0.0 seconds.
May 11 12:57:18 homeassistant hass[412]: 2019-05-11 12:57:18 INFO (SyncWorker_1) [homeassistant.util.package] Attempting install of xmltodict==0.11.0
May 11 12:57:20 homeassistant hass[412]: 2019-05-11 12:57:20 INFO (MainThread) [homeassistant.components.sensor] Setting up sensor.yr
May 11 12:57:20 homeassistant hass[412]: 2019-05-11 12:57:20 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up platform yr
May 11 12:57:20 homeassistant hass[412]: Traceback (most recent call last):
May 11 12:57:20 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/helpers/entity_platform.py", line 126, in _async_setup_platform
May 11 12:57:20 homeassistant hass[412]:     SLOW_SETUP_MAX_WAIT, loop=hass.loop)
May 11 12:57:20 homeassistant hass[412]:   File "/usr/lib/python3.7/asyncio/tasks.py", line 416, in wait_for
May 11 12:57:20 homeassistant hass[412]:     return fut.result()
May 11 12:57:20 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/components/yr/sensor.py", line 89, in async_setup_platform
May 11 12:57:20 homeassistant hass[412]:     await weather.fetching_data()
May 11 12:57:20 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/components/yr/sensor.py", line 154, in fetching_data
May 11 12:57:20 homeassistant hass[412]:     import xmltodict
May 11 12:57:20 homeassistant hass[412]: ModuleNotFoundError: No module named 'xmltodict'
May 11 12:57:20 homeassistant hass[412]: 2019-05-11 12:57:20 INFO (MainThread) [homeassistant.setup] Setup of domain sensor took 4.3 seconds.
May 11 12:57:20 homeassistant hass[412]: 2019-05-11 12:57:20 INFO (SyncWorker_3) [homeassistant.util.package] Attempting install of mutagen==1.42.0
May 11 12:57:22 homeassistant hass[412]: 2019-05-11 12:57:22 INFO (SyncWorker_1) [homeassistant.loader] Loaded google_translate from homeassistant.components.google_translate
May 11 12:57:22 homeassistant hass[412]: 2019-05-11 12:57:22 INFO (MainThread) [homeassistant.setup] Setting up tts
May 11 12:57:22 homeassistant hass[412]: 2019-05-11 12:57:22 INFO (SyncWorker_2) [homeassistant.components.tts] Create cache dir /var/lib/hass/tts.
May 11 12:57:22 homeassistant hass[412]: 2019-05-11 12:57:22 INFO (SyncWorker_1) [homeassistant.util.package] Attempting install of hass-nabucasa==0.12
May 11 12:57:35 homeassistant hass[412]: 2019-05-11 12:57:35 INFO (MainThread) [homeassistant.setup] Setting up cloud
May 11 12:57:35 homeassistant hass[412]: 2019-05-11 12:57:35 ERROR (MainThread) [homeassistant.setup] Error during setup of component cloud
May 11 12:57:35 homeassistant hass[412]: Traceback (most recent call last):
May 11 12:57:35 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/setup.py", line 153, in _async_setup_component
May 11 12:57:35 homeassistant hass[412]:     hass, processed_config)
May 11 12:57:35 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/components/cloud/__init__.py", line 141, in async_setup
May 11 12:57:35 homeassistant hass[412]:     from hass_nabucasa import Cloud
May 11 12:57:35 homeassistant hass[412]: ModuleNotFoundError: No module named 'hass_nabucasa'
May 11 12:57:35 homeassistant hass[412]: 2019-05-11 12:57:35 INFO (SyncWorker_3) [homeassistant.util.package] Attempting install of PyNaCl==1.3.0
May 11 12:57:38 homeassistant hass[412]: 2019-05-11 12:57:38 INFO (MainThread) [homeassistant.setup] Setting up mobile_app
May 11 12:57:38 homeassistant hass[412]: 2019-05-11 12:57:38 INFO (MainThread) [homeassistant.setup] Setup of domain mobile_app took 0.0 seconds.
May 11 12:57:38 homeassistant hass[412]: 2019-05-11 12:57:38 INFO (SyncWorker_0) [homeassistant.loader] Loaded notify from homeassistant.components.notify
May 11 12:57:38 homeassistant hass[412]: 2019-05-11 12:57:38 INFO (MainThread) [homeassistant.setup] Setting up notify
May 11 12:57:38 homeassistant hass[412]: 2019-05-11 12:57:38 INFO (MainThread) [homeassistant.setup] Setup of domain notify took 0.0 seconds.
May 11 12:57:38 homeassistant hass[412]: 2019-05-11 12:57:38 INFO (MainThread) [homeassistant.components.notify] Setting up notify.mobile_app
May 11 12:57:38 homeassistant hass[412]: 2019-05-11 12:57:38 INFO (SyncWorker_1) [homeassistant.util.package] Attempting install of zeroconf==0.21.3
May 11 12:57:39 homeassistant hass[412]: 2019-05-11 12:57:39 INFO (MainThread) [homeassistant.setup] Setting up zeroconf
May 11 12:57:39 homeassistant hass[412]: 2019-05-11 12:57:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component zeroconf
May 11 12:57:39 homeassistant hass[412]: Traceback (most recent call last):
May 11 12:57:39 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/setup.py", line 156, in _async_setup_component
May 11 12:57:39 homeassistant hass[412]:     component.setup, hass, processed_config)  # type: ignore
May 11 12:57:39 homeassistant hass[412]:   File "/usr/lib/python3.7/concurrent/futures/thread.py", line 57, in run
May 11 12:57:39 homeassistant hass[412]:     result = self.fn(*self.args, **self.kwargs)
May 11 12:57:39 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/components/zeroconf/__init__.py", line 24, in setup
May 11 12:57:39 homeassistant hass[412]:     from zeroconf import Zeroconf, ServiceInfo
May 11 12:57:39 homeassistant hass[412]: ModuleNotFoundError: No module named 'zeroconf'
May 11 12:57:39 homeassistant hass[412]: 2019-05-11 12:57:39 INFO (SyncWorker_4) [homeassistant.util.package] Attempting install of home-assistant-frontend==20190427.0
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 INFO (MainThread) [homeassistant.setup] Setting up frontend
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 ERROR (MainThread) [homeassistant.setup] Error during setup of component frontend
May 11 12:57:47 homeassistant hass[412]: Traceback (most recent call last):
May 11 12:57:47 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/setup.py", line 153, in _async_setup_component
May 11 12:57:47 homeassistant hass[412]:     hass, processed_config)
May 11 12:57:47 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/homeassistant/components/frontend/__init__.py", line 216, in async_setup
May 11 12:57:47 homeassistant hass[412]:     import hass_frontend
May 11 12:57:47 homeassistant hass[412]: ModuleNotFoundError: No module named 'hass_frontend'
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of logbook. Setup failed for dependencies: frontend
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 ERROR (MainThread) [homeassistant.setup] Setup failed for logbook: Could not set up all dependencies.
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of map. Setup failed for dependencies: frontend
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 ERROR (MainThread) [homeassistant.setup] Setup failed for map: Could not set up all dependencies.
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of default_config. Setup failed for dependencies: cloud, frontend, logbook, map, zeroconf
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 ERROR (MainThread) [homeassistant.setup] Setup failed for default_config: Could not set up all dependencies.
May 11 12:57:47 homeassistant hass[412]: 2019-05-11 12:57:47 INFO (SyncWorker_0) [homeassistant.util.package] Attempting install of gTTS-token==1.1.3
May 11 12:57:50 homeassistant hass[412]: 2019-05-11 12:57:50 INFO (MainThread) [homeassistant.setup] Setup of domain tts took 27.4 seconds.
May 11 12:57:50 homeassistant hass[412]: 2019-05-11 12:57:50 INFO (MainThread) [homeassistant.bootstrap] Home Assistant initialized in 45.66s
May 11 12:57:50 homeassistant hass[412]: 2019-05-11 12:57:50 INFO (MainThread) [homeassistant.core] Starting Home Assistant
May 11 12:57:50 homeassistant hass[412]: 2019-05-11 12:57:50 INFO (MainThread) [homeassistant.core] Timer:starting
May 11 13:00:42 homeassistant sudo[559]:     will : TTY=tty1 ; PWD=/home/will ; USER=root ; COMMAND=/usr/bin/pacman -S python python-pip
May 11 13:00:42 homeassistant sudo[559]: pam_unix(sudo:session): session opened for user root by will(uid=0)
May 11 13:00:50 homeassistant sudo[559]: pam_unix(sudo:session): session closed for user root
May 11 13:01:37 homeassistant hass[412]: 2019-05-11 13:01:37 ERROR (MainThread) [aiohttp.server] Error handling request
May 11 13:01:37 homeassistant hass[412]: Traceback (most recent call last):
May 11 13:01:37 homeassistant hass[412]:   File "/usr/lib/python3.7/site-packages/aiohttp/web_protocol.py", line 275, in data_received
May 11 13:01:37 homeassistant hass[412]:     messages, upgraded, tail = self._request_parser.feed_data(data)
May 11 13:01:37 homeassistant hass[412]:   File "aiohttp/_http_parser.pyx", line 523, in aiohttp._http_parser.HttpParser.feed_data
May 11 13:01:37 homeassistant hass[412]: aiohttp.http_exceptions.BadStatusLine: invalid HTTP method
May 11 13:07:52 homeassistant systemd[1]: Starting Cleanup of Temporary Directories...
May 11 13:07:52 homeassistant systemd[1]: systemd-tmpfiles-clean.service: Succeeded.
May 11 13:07:52 homeassistant systemd[1]: Started Cleanup of Temporary Directories.
May 11 13:07:52 homeassistant audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-tmpfiles-clean comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 11 13:07:52 homeassistant audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-tmpfiles-clean comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 11 13:07:52 homeassistant kernel: audit: type=1130 audit(1557594472.583:23): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-tmpfiles-clean comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 11 13:07:52 homeassistant kernel: audit: type=1131 audit(1557594472.583:24): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-tmpfiles-clean comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 11 13:57:18 homeassistant hass[412]: 2019-05-11 13:57:18 INFO (MainThread) [homeassistant.components.updater] Submitted analytics to Home Assistant servers. Information submitted includes {}
May 11 13:57:18 homeassistant hass[412]: 2019-05-11 13:57:18 ERROR (MainThread) [homeassistant.components.updater] Got unexpected response: None

etskinner commented on 2019-05-23 00:32

@zombielinux: Can you provide logs? python-xmltodict isn't listed as a dependency in the setup.py, and hass generally downloads anything extra that's needed on its own.

zombielinux commented on 2019-05-13 14:28

Note: python-xmltodict is now required on a fresh install.

carbolymer commented on 2019-04-30 07:57

@etskinner slugify is already 3.0.2